/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.common.db.Pagination;
import net.northking.cctp.common.http.QueryByPage;
import net.northking.cctp.scriptcase.db.entity.MdBusComponentInfo;
import net.northking.cctp.scriptcase.dto.component.MdBusComponentInfoDetailDto;
import net.northking.cctp.scriptcase.dto.component.MdBusComponentInfoQueryDto;

import java.util.List;

/**
 * 业务组件表_编辑
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-09-21 17:09:46  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface MdBusComponentInfoService extends BasicService<MdBusComponentInfo>
{
    Pagination<MdBusComponentInfoDetailDto> pagingQueryNew(QueryByPage<MdBusComponentInfoQueryDto> queryByPage);

    Integer queryCountByTreeCase(MdBusComponentInfo checkCount);

    String deleteByIdList(List<String> ids);

    String getMaxCopyComName(MdBusComponentInfo copy);

    Integer updateInfoByIds(MdBusComponentInfo update, List<String> ids);

    List<MdBusComponentInfoDetailDto> queryComListByType(MdBusComponentInfo comQuery, List<Integer> types);

    List<MdBusComponentInfoDetailDto> queryComInfoByIdList(List<String> ids);

    List<String> selectManagerByProject(String projectId);

    List<String> selectCreatorByProject(String projectId);

    List<String> selectUpdaterByProject(String projectId);
}
